Skip to main content
Infrastructure/Installer

GetDeployStatus

Poll the overall deployment status and progress of the current deploy session

GET/api/v1/installer/deploy/status

Operation ID

GetDeployStatus

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • status
    String

    Current deployment status

    Example: running

  • session
    Object

    Session for this resource

    • id
      String

      Unique identifier for this deploy session

      Example: deploy-a1b2c3d4

    • status
      String

      Current status of the deploy session

      Example: running

    • progress
      Integer

      Overall deployment progress as a percentage from 0 to 100

      Example: 55

    • currentPhase
      String

      Name of the currently executing deployment phase

      Example: installing-postgresql

    • currentComponent
      String

      Name of the component currently being deployed

      Example: postgresql

    • startedAt
      String

      Started at

      Example: 2026-01-15T08:00:00Z

    • completedAt
      String

      Completed at

      Example: 2026-01-15T08:00:00Z

    • logs
      List

      The logs value

      Example: (nested array)

      • time
        String

        Timestamp of the log entry in RFC3339 format

        Example: 2026-04-16T10:00:00Z

      • level
        String

        Log level of the entry

        Example: INFO

      • message
        String

        Log message content

        Example: PostgreSQL installation complete

    • registrations
      List

      Registrations for this resource

      Example: (nested array)

      • name
        String

        Name of the service being registered with the control plane

        Example: postgresql

      • endpoint
        String

        Network endpoint at which the service is accessible

        Example: 192.168.1.10:5432

      • status
        String

        Registration status for this service

        Example: registered

      • registeredAt
        String

        Registered at

        Example: 2026-01-15T08:00:00Z

      • error
        String

        Error message if registration failed

        Example: connection timeout